#
# spec file for package perl-App-Rad
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-App-Rad
Version:        1.05
Release:        lp151.2.1
%define cpan_name App-Rad
Summary:        Framework to facilitate creation of command line applications
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/App-Rad/
Source0:        https://cpan.metacpan.org/authors/id/G/GA/GARU/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Getopt::Long) >= 2.36
Requires:       perl(Getopt::Long) >= 2.36
%{perl_requires}

%description
App::Rad is a framework for developing
command-line applications. It can transform Perl _one-liners_
into subroutines than can be called by the user of your
program.

It also provides an interface for common command-line
tasks.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README

%changelog
* Mon Apr 13 2015 coolo@suse.com
- updated to 1.05
  see /usr/share/doc/packages/perl-App-Rad/Changes
* Wed Oct  3 2012 coolo@suse.com
- initial package 1.04
  * created by cpanspec 1.78.06
